Connection Point Services

Connection Point Services (CPS) works in conjunction with Connection Manager to automate the process of updating your users' computers with new Points of Presence (POP). CPS consists of Phone Book Service (a utility for distributing your phone books) and Phone Book Administrator (a tool to create and maintain your phone book files). For complete information about Connection Manager, see Connection Manager Administration Kit.

  • Before installing, configuring, or administering CPS, see Checklists.
  • For helpful tips, see Best practices.
  • For help with specific tasks, see How to.
  • For general information, see Concepts.
  • For problem-solving strategies and error messages, see Troubleshooting.


Checklists

  • Checklist: Installing Connection Point Services
  • Checklist: Configuring Connection Point Services
  • Checklist: Administering phone books with Phone Book Administrator
  • Checklist: Administering phone books by command line


Checklist: Installing Connection Point Services

While installing a Windows Server 2003 family operating system, you might have chosen to add Connection Manager components, which include Connection Point Services (CPS). If you did not install CPS at that time, you can install it now.

Step | Reference
Connection Point Services (CPS): what it is and how it works. | Understanding Connection Point Services
Important information to prepare you for installing CPS. | Install Connection Point Services
Install CPS | Install and Configure Connection Point Services.


Checklist: Configuring Connection Point Services

When you configure Connection Point Services (CPS), you provide security by setting permissions for directory access.

Step | Reference
Connection Point Services (CPS): what it is and how it works. | Understanding Connection Point Services
Set up an account with administrative credentials on your Phone Book Service (PBS) host. | Manage users Active Directory
Add a user account on your PBS server for posting phone books, and make that account a member of the Guests group. Disable this user account from logging on locally and from logging on through Terminal Services. | Set permissions early; To create a local user account; To add a member to a local group; Deny log on locally; Deny log on through Terminal Services
Configure the FTP service for specific users for use when posting phone book data. | To set up FTP accounts for known users
Set permissions for the PBS folder (Windows NTFS file system only). | To set permissions for the Phone Book Service folder (NTFS only)
Set Write permissions for FTP. | To set the Write permission for the FTP virtual directory


Checklist: Administering phone books with Phone Book Administrator

Connection Point Services (CPS) provides two ways to administer phone books: by using the Phone Book Administrator (PBA) interface and by using the command line. This checklist can help guide you through administration with Phone Book Administrator. You are advised to create and publish your first phone book using the PBA interface, even if you plan to use the command line for your usual publishing procedures.

Step | Reference
Connection Point Services (CPS): what it is and how it works. | Understanding Connection Point Services
Create a phone book. | To add and configure a new phone book
To add, edit, delete, or import regions. | To add, edit, or delete a region To import a region list
Add POPs to your phone book. | To add or edit a POP
Publish the phone book. | To publish a phone book


Checklist: Administering phone books by command line

Connection Point Services (CPS) provides two ways to administer phone books: by using the Phone Book Administrator (PBA) interface and by using the command line. This checklist can help guide you through administration by command line. However, you are advised to create and publish your first phone book by using the PBA interface, even if you plan to use the command line for your usual publishing procedures.

Step | Reference
Connection Point Services (CPS): what it is and how it works | Understanding Connection Point Services
Create a phone book and then set or edit the phone book options. | Create and manage phone books by command line
Import a region file | To add, edit, or delete regions by command line To import a region list by command line
Import a POP file | To add, edit, or delete POPs by command line To import an existing POP list by command line
Publish the phone book | To publish a phone book by command line


Best practices

The following list provides recommended practices for configuring and administering Connection Point Services.

  • Specify POP settings (sometimes called service types) so users can search for the POPs that suit their needs and filter out the ones they do not want. For more information, see Make the most of POP settings.
  • Set up permissions before attempting to publish phone books to Phone Book Service (PBS). For more information, see Set permissions early.
  • Secure the Phone Book Administrator (PBA) and PBS folders to avoid synchronization problems and to prevent unauthorized personnel from posting to the host server. For more information, see Safeguard your files.
  • Back up phone book databases and other important files to preserve POP and region information. For more information, see Back up your data.


Make the most of POP settings

POP settings (sometimes called service types) provide you with the ability to specify the way users are presented with POP choices. For example, you can set some POPs to appear only when a user is dialing with a modem. Users can then use the differences between POP connections to search for the POPs that suit their needs and filter out the ones they do not want. The more you can differentiate between POPs, the less a user will need to search.

The following table shows available POP settings and what they do. The first column lists options for each POP setting, with default options in bold type. You can set these options when you add or edit POPs, whether you are using the Phone Book Administrator (PBA) graphical interface or command-line interface.

POP setting | Action determined for the POP
Sign on | Users can connect to the POP to sign on to your service.
Sign up | Users can connect to the POP to sign up for your service.
Modem | Users can connect to the POP by modem.
ISDN | Users can connect to the POP using an ISDN connection device.
Custom 1 | The POP is assigned a custom service setting. You can specify custom service settings in the Connection Manager service profile.
Multicast | The POP supports IP multicast protocols.
Surcharge | The access number for the POP appears in the More access numbers box in the Connection Manager Phone Book dialog box. You can charge your users an additional fee when they use this POP.
Custom 2 | The POP is assigned a custom service setting. You can specify custom service settings in the Connection Manager service profile.


Set permissions early

Before you can publish phone books to a Phone Book Service (PBS) server, you must create a specific user account that has the necessary permissions to post your phone books. The NTFS file system should be running on the server host.

Failure to set permissions is likely to prevent you from posting phone books to the server.

  • Set up a user account on your PBS server for posting phone books. Set permissions for the user account so that users have the minimum necessary permissions to post to your server. This user account should be a local user account on the PBS server, not on a domain, even if the PBS server is a member of a domain. For additional security, you should make this account a member of the Guests group, and you should disable this user account from logging on locally and from logging on through Terminal Services. To post phone books, the user account must have a password, and the password cannot be null. The user account must also have Write permission to the PBSData folder in the FTP virtual directory. For more information, see To create a local user account, To set the Write permission for the FTP virtual directory, To add a member to a local group, Deny log on locally, and Deny log on through Terminal Services.
  • Configure FTP service for specific users when posting phone book data. When you install PBS, FTP is also installed with anonymous FTP access disabled. Because passwords for FTP sessions are sent as plaintext, you should not use the user account that you use for posting phone book data for any other purpose. Do not activate this account until you are ready to post data, and disable this account as soon as you finish posting data. For more information, see To set up FTP accounts for known users and Disable or activate a local user account.
  • Set permissions for the Phone Book Service folder (optional but recommended; NTFS file system only). For added security, you should change access to the Phone Book Service folder from all authenticated users to specific user accounts or groups. For more information, see To set permissions for the Phone Book Service folder (NTFS only) and Security information for Connection Point Services.
  • Set the Write permission for the PBSData folder in the FTP virtual directory. Before you can post, you must set this permission on the FTP virtual root. For enhanced security, set this permission only when you are about to post to the server, and then clear it immediately after posting. For more information, see To set the Write permission for the FTP virtual directory.


Safeguard your files

To avoid phone book synchronization problems and to prevent unauthorized personnel from changing files and posting to the host server, you should secure the Phone Book Administrator (PBA) and Phone Book Service (PBS) folders.

Avoid synchronization and version problems during remote administration

For each phone book server, you must have only one PBA folder, which must reside on your primary PBA computer. One administration tool can post multiple phone books, each to a different server, but each phone book should be administered with only one PBA computer.

You can administer phone books from the primary PBA computer or from a remote computer. A remote computer could be a portable computer or other computer that you plan to use when you cannot administer from your primary PBA computer. For example, you might be traveling and need to administer from a laptop computer, or you may want to administer from one of several workstations located in your office. You can install PBA on any remote computer, but after installing PBA you must delete the PBA folder from the remote computer to avoid synchronization and version problems.

Deleting only the PBA folder prevents an accidental start of PBA from the remote computer, but it leaves the necessary system files intact.

For more information on administering from a remote computer, see To administer from a remote computer or To administer from a remote computer by command line.

Limit access to the PBS and PBA directories

Connection Point Services setup configures the PBS folder with default permissions. For added security, you should limit access to the PBS folder to specific users.

If you want only certain people to post phone books to the server, make sure that the primary PBA computer is secure by protecting the PBA folder.

For more information on securing your PBS and PBA directories, see Set permissions.

Important

  • If your primary PBA computer is used by several people, users who do not have access to the PBA folder still have a link to Phone Book Administrator on the Start menu. If these users click that link, a message box gives them a choice between deleting the link, fixing it, or canceling out of the message box. They must click Cancel. Do not allow them to delete or fix it. Deleting this link could delete it for everyone.


Back up your data

The process of backing up and restoring data can vary greatly, depending on your network configuration. Backing up and restoring is critical to preserving POP and region information. Backing up the database and .cab files on the server is not as critical as backing up the phone book databases and other important files located on the primary computer where Phone Book Administrator (PBA) resides. Be sure to back up the following three important data files:

  • PBServer.mdb
  • phone_book.mdb
  • PBAdmin.ini


How to...

  • Install and configure Connection Point Services
  • Monitor the activity of Connection Point Services
  • Administer phone books with Phone Book Administrator
  • Administer phone books by command line
  • Stop Phone Book Service
  • Remove Connection Point Services


Install and configure Connection Point Services

  • Install Phone Book Service on a server
  • Install Phone Book Administrator
  • Test for production readiness
  • Set permissions


Install Phone Book Service on a server

Microsoft Windows graphic

To install Phone Book Service on a server

  1. Open the Windows Components wizard.
  2. In Components, click Management and Monitoring Tools (but do not select or clear the check box), and then click Details.
  3. In Subcomponents of Management and Monitoring Tools, select the Connection Point Services check box.
  4. Click OK, and then click Next.
  5. In Windows Component Wizard, under Configuring Component, click Yes.

Notes

  • XOX
  • XOX
  • XOX
  • If you are installing your server for the first time, skip step 1 of the installation procedure.
  • The FTP service must reside on your server. If you do not want FTP to run while PBA is not in use, stop the service through the Internet Service Manager and then enable it when you are ready to post your phone book. Do not uninstall FTP, because doing so will automatically uninstall PBS.
  • During installation, you will be advised that PBS requires Internet Server Application Programming Interface (ISAPI), part of Internet Information Services (IIS). If you do not choose to enable IIS, PBS will not function properly. You will have to enable PBS at a later time by using the IIS Security Wizard.

Related Topics


Install Phone Book Administrator

Microsoft Windows graphic

To install Phone Book Administrator

  1. Insert your Windows Server 2003 family or your XOX CD into your CD-ROM drive.
  2. Click Perform additional tasks.
  3. Click Browse this CD.
  4. Browse to VALUEADD\MSFT\MGMT, and then double-click the PBA folder.
  5. Double-click PBAInst.exe.

Note

  • XOX

Related Topics


Test for production readiness

Microsoft Windows graphic

To test for production readiness

  1. Create a test phone book, add one or more POPs, and then publish the phone book.
  2. On the Phone Book Service (PBS) host, browse to \Program Files\Phone Book Service\Data and verify the presence of a new data folder named for the phone book and containing a .cab file.
  3. Using the Connection Manager Administration Kit, create a service profile that is set to download this phone book from the correct PBS host. Do not include the phone book files when you create this profile.
  4. Install the new service profile on your test client computer.
  5. Edit the Connection Manager service provider (.cms) file to prevent automatic deletion of the .tmp file created during a phone book download:
    1. Using Notepad on the test client computer, open the .cms file.
    2. Edit the key 0=cmdl32.exe %profile% located in the [Connect Actions] section by typing /no_delete. After editing, the section should appear as follows:

      [Connect Actions]
      0=cmdl32.exe %profile% /no_delete
    3. Save the edited .cms file, and use the profile to connect Connection Manager to Connection Point Services.
    4. Once a connection is established and information is downloaded, disconnect from the server.
  6. Using Notepad on the client computer, open the .tmp file and verify that PBS is working properly. The name of the .tmp file varies, but it is located in the same directory as the .cmp file of the service profile. The directory will likely contain more than one .tmp file. The .tmp file created by a successful phone book download should contain control characters and file names such as [phone_book].pbk. If PBS is not working properly, all the .tmp files will contain error messages.
  7. Open Connection Manager and verify whether the phone book appears when you click Phone Book.

Notes

  • XOX
  • Do not open your .tmp file before disconnecting from the server. Doing so could prevent a proper phone book update.
  • You can simulate a client request by typing the following in the browser Address box on the test client computer and then pressing ENTER:

    http://localhost/pbserver/pbserver.dll?osarch=0&ostype=0&osver=1&cmver=1&lcid=1033&pbver=0&pb=[phone_book_name]

    For example, if the phone book name is Awesome, you would type:

    http://localhost/pbserver/pbserver.dll?osarch=0&ostype=0&osver=1&cmver=1&lcid=1033&pbver=0&pb=Awesome

    If you want to see Phone Book Service error messages while you simulate client requests, you must turn off the display of friendly HTTP error messages in Internet Explorer. On the Tools menu, click Internet Options, and click the Advanced tab. Clear the Show friendly HTTP error messages check box.

  • If your .tmp file does not contain a phone book, the following list might help you identify areas for further investigation.
    • An empty .tmp file indicates that the phone book request did not generate a response from the PBS host.
    • An error number of 5xx typically indicates that PBS is not installed or is not running.
    • An error number of 4xx typically indicates that you requested a phone book that did not exist in the PBS database.
    • An error number of 204 indicates that the client phone book version number is high enough that you do not need a phone book update.
Related Topics


Set permissions

  • Set permissions for the Phone Book Service folder (NTFS only)
  • Set up FTP accounts for known users
  • Secure your Phone Book Administrator folder (NTFS only)
  • Set the Write permission for the FTP virtual directory


Set permissions for the Phone Book Service folder (NTFS only)

Microsoft Windows graphic

To set permissions for the Phone Book Service folder (NTFS only)

  1. Open Windows Explorer.
  2. Double-click the Program Files folder, right-click the Phone Book Service folder, and then click Properties.
  3. At the bottom of the Security tab, click Advanced. Clear the Allow inheritable permissions from the parent to propagate to this object and all child objects. check box.
  4. In the Security dialog box, click Remove.
  5. Click Add, type the name of the user or group to which you are granting posting permissions, and then click OK.
  6. In the Permissions list, select the appropriate check boxes.
  7. Click OK for the server to register the changes.

Notes

  • XOX
  • XOX
  • Before anyone attempts to post to the server, verify that you have set the Write permission for the FTP virtual directory.
Related Topics


Set up FTP accounts for known users

Microsoft Windows graphic

To set up FTP accounts for known users

  1. Open Internet Information Services (IIS) Manager.
  2. In the console tree, double-click the server name, double-click FTP Sites, and then click Default FTP Site.
  3. On the Action menu, click Properties.
  4. On the Security Accounts tab, make sure that the Allow Anonymous Connections check box is cleared. If the check box is selected, clear it.
  5. If a warning appears indicating that unencrypted passwords can be transmitted over the network, click Yes to close the warning.

Notes

  • XOX
  • XOX
  • Do not allow Write permissions to the PBSData folder until you are ready post data, and remove the Write permission as soon as you finish posting data. For more information, see Related Topics.
  • You should create a user account that is used solely for posting phone books. This user account should be a local user account on the PBS server, not on a domain, and it should be a member of the Guests group. Do not activate this account until you are ready to post data, and disable this account as soon as you finish posting data. You should also disable this user account from logging on locally and from logging on through Terminal Services. For more information, see Related Topics.
Related Topics


Secure your Phone Book Administrator folder (NTFS only)

Microsoft Windows graphic

To secure your Phone Book Administrator folder (NTFS only)

  1. Open Windows Explorer.
  2. Double-click the Program Files folder, right-click the PBA folder, and then click Properties.
  3. At the bottom of the Security tab, click Advanced. Clear the Inherit from parent the permission entries that apply to child objects check box.
  4. In the Security dialog box, click Remove.
  5. Click Add, type the name of the user or group to which you are granting posting permissions, and then click OK.
  6. In the Permissions list, select the appropriate check boxes, and then click OK for the server to register the changes.

Important

  • If your primary PBA computer is used by several people, users who do not have access to the PBA folder still have a link to Phone Book Administrator on the Start menu. If these users click that link, a message box gives them a choice between deleting the link, fixing it, or canceling out of the message box. They must click Cancel. Do not allow them to delete or fix it. Deleting this link could delete it for everyone.

Notes

  • XOX
  • XOX
  • Before anyone attempts to post to the server, verify that you have set the Write permission for the FTP virtual directory. For information about the Write permission, see Related Topics.
  • You must have an account on the server to which you are posting.
Related Topics


Set the Write permission for the FTP virtual directory

Microsoft Windows graphic

To set the Write permission for the FTP virtual directory

  1. Click Start, point to Administrative Tools, and then click Internet Information Services (IIS).
  2. In the console tree, double-click the server name.
  3. Double-click FTP Sites, and then click PBSData.
  4. On the Action menu, click Properties.
  5. On the Virtual Directory tab, select the Write check box, and then click OK for the server to register the changes.

Notes

  • XOX
  • For enhanced security, set the Write permission only when you are about to post to the server, and then clear it immediately after posting.
Related Topics


Monitor the activity of Connection Point Services

  • Monitor the activity of Phone Book Service
  • Monitor phone book activity


Monitor the activity of Phone Book Service

Microsoft Windows graphic

To monitor the activity of Phone Book Service

  1. Open Performance.
  2. In the console tree, click System Monitor.
  3. In the details pane, right-click the empty graph, and then click Add Counters.
  4. Click Select counters from computer and enter a computer name.
  5. In Performance object, click PBServer Monitor.
  6. Do one of the following:
    • To select all counters, click All counters, and then click Add.
    • To select specific counters, click Select counters from list, click the counter you want to use, and then click Add.

      Repeat this step for each counter you want to add.

  7. Click Close.

Notes

  • XOX
  • XOX
  • PBServer Monitor counters are not available unless PBS has been started. PBS starts automatically when a client computer requests a phone book. To simulate a client request, type the following in the Address box of your browser, and then press ENTER:

    http://localhost/pbserver/pbserver.dll?osarch=0&ostype=0&osver=1&cmver=1&lcid=1033&pbver=0&pb=[phone_book_name]

    For example, if the phone book name is Awesome, you would type:

    http://localhost/pbserver/pbserver.dll?osarch=0&ostype=0&osver=1&cmver=1&lcid=1033&pbver=0&pb=Awesome

Related Topics


Monitor phone book activity

  • View phone book files
  • View the history of a phone book


View phone book files

Microsoft Windows graphic

To view phone book files

  1. Open Phone Book Administrator.
  2. In Phone books, click the phone book.
  3. On the Tools menu, click View Phone Book Files.
  4. In File, click the phone book you want to view.

Notes

  • XOX
  • XOX
  • A phone book file contains a list of all of the available (in-service) POPs that will be downloaded to your users when you publish the phone book. If you have previously published the phone book, this list also contains new updates for POPs that you've previously published. POP fields appear in the same order as you would create them in the command-line interface.
  • You should inspect your phone book files before posting them:
    • After you create new POPs.
    • After you edit existing POPs.

Related Topics


View the history of a phone book

Microsoft Windows graphic

To view the history of a phone book

  1. Open Phone Book Administrator.
  2. In Phone books, click the phone book.
  3. On the File menu, click View Log File.

Notes

  • XOX
  • XOX
  • The log file shows the date and time you created or changed the POP or region and the action you took.

Related Topics


Administer phone books with Phone Book Administrator

  • Administer from a remote computer
  • Create and manage phone books
  • Create and manage regions
  • Create and manage POPs


Administer from a remote computer

Microsoft Windows graphic

To administer from a remote computer

  1. Install Phone Book Administrator (PBA) on your remote computer.
  2. Delete only the PBA folder from the remote computer where you just installed PBA.
  3. Establish a network connection with your primary PBA computer.
  4. Establish a network connection with your primary Phone Book Service (PBS) computer.
  5. On your remote computer, map a network drive to the PBA directory on your primary PBA computer.
  6. Start PBA on your primary PBA computer from your remote computer.
  7. Administer phone books as if you were at your primary PBA computer.

Notes

  • XOX
  • The default location of the PBA folder is [drive:]\Program Files\PBA.
  • A remote computer could be a portable computer or other computer that you plan to use when you cannot administer from your primary PBA computer. For example, you might be traveling and unable to administer from the primary PBA computer in your office.
  • Deleting the PBA folder from the remote computer prevents an accidental start of PBA from the remote computer (which can result in data files being out of sync), but it leaves the necessary system files intact.
  • For each server, you must have only one PBA folder (the one on your primary PBA computer). One administration tool can post multiple phone books, each to a different server, but each phone book should be administered with only one PBA computer.
Related Topics


Create and manage phone books

  • Add and configure a new phone book
  • Edit phone book options
  • Copy a phone book
  • Delete a phone book
  • Print a phone book
  • Publish a phone book


Add and configure a new phone book

Microsoft Windows graphic

To add and configure a new phone book

  1. Open Phone Book Administrator.
  2. On the File menu, click New Phone Book
    3. .
  3. In New phone book name, type the phone book name, and then click OK.
    A phone book name must contain no more than eight characters, cannot consist of all digits, and must not contain a space or any symbols, including but not limited to: ! , ; * = / \ : ? ' " < > | . & % {} [] @ ( ) ´ ` ~
    If you are creating a customized phone book for use with a Connection Manager profile, the phone book name must match the one you typed in the Phone Book Updates pane in the Connection Manager Administration Kit Wizard.
  4. In Phone books, click the new phone book.
  5. On the Tools menu, click Options.
  6. In the Options dialog box, type the server name or address, user name, and password used to post phone books to the Phone Book Service (PBS) server.

    Do not use spaces in these entries.

Notes

  • XOX
  • XOX
  • The account used for posting the phone book must have a password. The password cannot be null or contain spaces.
  • You can change options for this phone book at any time by repeating steps 5 and 6.
  • When you publish the phone book, the user name and password will be used to send it using FTP to the server specified in the Options dialog box.
  • For better security, do not provide a user name and password in the Options dialog box until you are ready to post a phone book. After you have posted a phone book, clear the user name and password entries before you close Phone Book Administrator (PBA).
  • Phone Book Administrator is available only in English, French, German, Japanese, and Spanish. However, you can create a phone book in another language by running PBA on an operating system optimized for that language.

Related Topics


Edit phone book options

Microsoft Windows graphic

To edit phone book options

  1. Open Phone Book Administrator.
  2. In Phone books, click the phone book name.
  3. On the Tools menu, click Options.
  4. In the Options dialog box, edit the information as necessary.

Notes

  • XOX
  • XOX
  • You can change options for this phone book at any time by repeating steps 3 and 4.
  • When you publish the phone book, the user name and password will be used to send it through FTP to the server specified in the Options dialog box.
  • For better security, do not provide a user name and password in the Options dialog box until you are ready to post a phone book. After you have posted a phone book, clear the user name and password entries before you close Phone Book Administrator.

Related Topics


Copy a phone book

Microsoft Windows graphic

To copy a phone book

  1. Open Phone Book Administrator.
  2. In Phone books, click the phone book to be copied.
  3. On the File menu, click Copy Phone Book.
  4. In New phone book name, type a new name for the copy.
    A phone book name must contain no more than eight characters, cannot consist of all digits, and must not contain a space or any of the following symbols: ! , ; * = / \ : ? ' " < > | . & % {} [] @ ( ) ´ ` ~
    If you are creating a customized phone book for use with a Connection Manager profile, the phone book name must match the one you typed in the Phone Book Updates pane in the Connection Manager Administration Kit Wizard.
    If you intend to administer a phone book from the command line, the path to the phone book should not contain any spaces.

Notes

  • XOX
  • XOX
  • You cannot copy a phone book to a pre-existing phone book name.
  • You can change options for this phone book at any time by clicking the phone book in Phone books and then, on the Tools menu, clicking Options.
  • All phone book data in the original phone book file is maintained in the copy except for the version number and the history. The default release directory is changed to the new name and the version number is reset to 1.

Related Topics


Delete a phone book

Microsoft Windows graphic

To delete a phone book

  1. Open Phone Book Administrator.
  2. In the Phone books list, click the phone book to be deleted.
  3. On the File menu, click Delete Phone Book.

    A dialog box appears asking whether you want to delete the phone book.

  4. Click Yes.

Notes

  • XOX
  • XOX
  • Deleting a phone book removes the indexed references. However, released .cab files remain on the Phone Book Administrator (PBA) and Phone Book Service (PBS) file systems. If you want to remove the .cab files, you must manually delete the phone book directory and all its contents. You should delete the directory and files from the PBS server any time you delete a phone book.
Related Topics


Print a phone book

Microsoft Windows graphic

To print a phone book

  1. Open Phone Book Administrator.
  2. In Phone books, click the phone book that you want to print.
  3. In Filter by, click a filter name.

    If you want to print all of the POPs in the phone book, click All POPs, and then go on to step 5.

  4. In Containing, type the attribute, such as a numerical area code, that must be shared by all POPs on the list you want to print.
  5. Click Apply.
  6. On the File menu, click Print POP List.

Notes

  • XOX
  • XOX

Related Topics


Publish a phone book

Microsoft Windows graphic

To publish a phone book

  1. Open Phone Book Administrator.
  2. In Phone books, click the phone book.
  3. If you have not yet specified a server address for this phone book, on the Tools menu, click Options, and then type a server address, user name, and password for your Phone Book Service (PBS) host.
  4. On the Tools menu, click Publish Phone Book.
  5. In Release directory, browse to the directory in which you want to keep your files.
  6. Click Create, and then click Post.

Notes

  • XOX
  • XOX
  • Before attempting to post, make sure that you have set the Write permission for the Phone Book Service (PBS) FTP virtual directory. If the Write permission is not set, the phone book will not post.
  • If you specify a release directory on a remote computer, you may have to reset the directory every time you publish a phone book.
  • Every time you propagate a phone book by posting, it increments the version number of the phone book. If you post to multiple servers, the version numbers will be inaccurate. To propagate a phone book to multiple servers, you can use the replication capability of the Windows Server 2003 family.
  • You cannot create or post a phone book if no changes have been made to that phone book.
  • Phone Book Administrator is available only in English, French, German, Japanese, and Spanish. However, you can create a phone book in another language by running PBA on an operating system optimized for that language.
Related Topics


Create and manage regions

  • Import a region list
  • Add, edit, or delete a region


Import a region list

Microsoft Windows graphic

To import a region list

  1. Open Phone Book Administrator.
  2. In Phone books, click the phone book.
  3. On the Tools menu, click Regions Editor.
  4. In the Regions Editor dialog box, click Import.
  5. Browse to the region file, and then click Open.

Notes

  • XOX
  • XOX
  • Duplicate regions will be ignored.
  • The Regions Editor is not case-sensitive.
  • The Regions Editor does not accept more than 30 characters for a region name.
  • A region name must not contain a double quotation mark (") or a comma (,).
  • To import correctly into Phone Book Administrator (PBA), a region file must be in .pbr format. A number on the first line corresponds with the number of regions the file contains. For example:

    3
    Alaska
    Arizona
    California

Related Topics


Add, edit, or delete a region

Microsoft Windows graphic

To add, edit, or delete a region

  1. Open Phone Book Administrator.
  2. On the Tools menu, click Regions Editor.
  3. In the Regions Editor dialog box, do one of the following, and then click OK:
    • To add a region, click Add, and then type a region name of no more than 30 characters.

      A region name must not contain a double quotation mark (") or a comma (,).

    • To edit a region, click the region, click Edit, and then type the change.
    • To delete a region, click the region, and then click Delete.

Notes

  • XOX
  • XOX

Related Topics


Create and manage POPs

  • Add or edit a POP
  • Delete a POP
  • Assign a region to a POP
  • Find POPs
  • Print a POP list


Add or edit a POP

Microsoft Windows graphic

To add or edit a POP

  1. Open Phone Book Administrator.
  2. In Phone books, click the phone book.
  3. Do one of the following:
    • To add a POP, on the Edit menu, click Add POP.
    • To edit a POP, click a POP entry in the POP Name list, and then on the Edit menu, click Edit POP.
  4. On the Access Information tab, enter or edit the information.
    • For countries or dependencies without area codes, type a space in Area code.
    • In Service status includes the POP in future updates of the phone book file, and Not In Service status excludes them.
  5. On the Settings tab, do the following (optional):
    • In POP settings, select the options that apply to this POP. Entries in bold text are automatically preselected.
      Select | If
      Sign on | Subscribers must sign on each time they dial in.
      Sign up | The POP allows people to sign up with your service.
      Surcharge | You can charge subscribers a surcharge for this POP.
      Modem | Subscribers can dial in using a modem.
      ISDN | Subscribers can dial in using an ISDN line.
      Multicast | The POP supports IP multicast.
      Custom 1 and Custom 2 | Your service has assigned a value to these service settings in the Connection Manager file.
    • In Dial-Up Networking entry, type a name that matches the name in the Dial-up Networking Entries pane in the Connection Manager Administration Kit Wizard.
    • In Analog speed, enter the minimum and maximum rate supported.
  6. On the Comments tab, type any comments (for administrative reference only).
  7. Click Save.

Notes

  • XOX
  • XOX
  • The country.txt file included in the PBA directory will help you determine the required country or dependency code.
  • When you set the surcharge key, Connection Manager treats the POP as an alternate access number. For more information, see Related Topics.
  • Sign up is not a default option in Connection Manager. You need to specify it, just as you do in Custom 1 and Custom 2.
  • Do not clear the Sign on check box. This option must remain selected so that Connection Manager can display the access number.
  • Although Phone Book Administrator is only available in English, French, German, Japanese, and Spanish, and the country/dependency list is only available in English, country/dependency names chosen from the English list appear in the same language as the Connection Manager profile. For more information, see Related Topics.

Related Topics


Delete a POP

Microsoft Windows graphic

To delete a POP

  1. Open Phone Book Administrator.
  2. In Phone books, click the phone book.
  3. In the POP Name list, click a POP.
  4. On the Edit menu, click Delete POP.

Notes

  • XOX
  • XOX

Related Topics


Assign a region to a POP

Microsoft Windows graphic

To assign a region to a POP

  1. Open Phone Book Administrator.
  2. In Phone books, click a phone book.

    If you have not already added the region that you want to assign to this POP, add it to the phone book now.

    1. On the Tools menu, click Regions Editor.
    2. In the Regions Editor dialog box, click Add, and then type a region name of not more than 30 characters.

      A region name must not contain a double quotation mark (") or a comma (,).

  3. In the POP Name list, click a POP.
  4. On the Edit menu, click Edit POP.
  5. In Region, click a region, and then click OK.

Notes

  • XOX
  • XOX

Related Topics


Find POPs

Microsoft Windows graphic

To find POPs

  1. Open Phone Book Administrator.
  2. In Phone books, click a phone book.
  3. To find POPs by access number, area code, country/dependency, name, region, or status, click an option in Filter by.
  4. In Containing, type a whole or partial word or number.
  5. Click Apply.

    POPs that match your filter criteria appear in the list of POPs.

Notes

  • XOX
  • XOX
  • You can sort your POP list by POP name, area code, access number, country/dependency, region, or status by clicking column titles.
  • To turn filtering off and find all POPs in the phone book, in Filter by, click All POPs, and then click Apply.

Related Topics


Print a POP list

Microsoft Windows graphic

To print a POP list

  1. Open Phone Book Administrator.
  2. In Phone books, click the phone book whose POP list you want to print.
  3. In Filter by, click a filter name.

    If you want to print all of the POPs in the phone book, click All POPs, and then go on to step 5.

  4. In Containing, type the attribute, such as a numerical area code, that must be shared by all POPs on the list you want to print.
  5. Click Apply.
  6. On the File menu, click Print POP List.

Notes

  • XOX
  • XOX

Related Topics


Administer phone books by command line

  • Administer from a remote computer by command line
  • Create and manage phone books by command line
  • Create and manage regions by command line
  • Create and manage POPs by command line


Administer from a remote computer by command line

Microsoft Windows graphic

To administer from a remote computer by command line

  1. Install Phone Book Administrator (PBA) on your remote computer.
  2. Delete only the PBA directory from the remote computer where you just installed PBA.
  3. Establish a network connection with your primary PBA computer.
  4. Establish a network connection with your primary Phone Book Service (PBS) computer.
  5. On your remote computer, map a network drive to the PBA directory on your primary PBA computer.
  6. Change your directory on the remote computer to the mapped network drive.
  7. Administer phone books as if you were at your primary PBA computer.

Important

  • If you intend to administer PBA from the command line, do not use spaces in the path to pbadmin.exe or in the path to the phone book files.

Notes

  • XOX
  • The default location of the PBA directory is [drive:]\Program Files\PBA.
  • A remote computer could be a portable or other computer that you plan to use when you cannot administer from your primary PBA computer. For example, you might be traveling and be unable to administer from the PBA computer in your office.
  • Deleting the PBA directory prevents an accidental start of PBA from the remote computer, but it leaves the necessary system files intact.
  • You must administer each phone book using only one installation of PBA. Administering the same phone book using multiple installations of PBA causes version conflicts that will prevent your users from obtaining the most recent version of the phone book.
  • You can publish multiple phone books to the same phone book server, even if you administer each phone book with a different installation of PBA.
  • You must not publish the same phone book to more than one phone book server. Publishing the same phone book to more than one phone book server causes version conflicts that will prevent your users from obtaining the most recent version of the phone book. However, you can replicate the phone book to multiple servers from the server to which you published the phone book. You can use the Distributed File System (DFS) console to automate replication, or you can replicate the phone book yourself by copying the folder to the other servers. For more information about DFS, see Distributed File System in Related Topics.
Related Topics


Create and manage phone books by command line

  • Add a new phone book by command line
  • Set or edit phone book options by command line
  • Publish a phone book by command line


Add a new phone book by command line

Microsoft Windows graphic

To add a new phone book by command line

  1. Open Command prompt.
  2. At the command prompt, type the following:

    cd \Program Files\PBA

  3. At the command prompt, type the following, using the appropriate file name for the new phone book:

    Pbadmin.exe /N [phone_book_name]

    A phone book name must contain no more than eight characters, cannot consist of all digits, and must not contain a space or any of the following symbols: ! , ; * = / \ : ? ' " < > | . & % {} [] @ ( ) ´ ` ~

    For example, if you want to create a phone book with the name of Awesome, you type:

    Pbadmin.exe /N Awesome

    Command-line parameters are case-sensitive.

  4. Press ENTER to add your new phone book to the database.

Important

  • If you intend to administer PBA from the command line, do not use spaces in the path to pbadmin.exe or in the path to the phone book files.

Notes

  • XOX
  • XOX
  • If you are creating a customized phone book for use with a Connection Manager profile, the phone book name must match the one you typed in the Phone Book pane in the Connection Manager Administration Kit Wizard.
  • For more information about the pbadmin command, type pbadmin /? at the command prompt, or see pbadmin in Related Topics.

Related Topics


Set or edit phone book options by command line

Microsoft Windows graphic

To set or edit phone book options by command line

  1. Open Command prompt.
  2. At the command prompt, type the following:

    cd \Program Files\PBA

  3. At the command prompt, type the following, using the appropriate phone book file name, and then a server name or address, user name, and password to set or edit those options for the phone book:

    Pbadmin.exe /O [phone_book_name] [server_name] [user_name] [password]

    For example, if you want to set options for a phone book with the name of Awesome, using a server name of Rainier, a user name of jobrown, and a password of Tr6f23nN, you type:

    Pbadmin.exe /O Awesome Rainier jobrown Tr6f23nN

    Command-line parameters are case-sensitive.

  4. Press ENTER.

Important

  • If you intend to administer PBA from the command line, do not use spaces in the path to pbadmin.exe or in the path to the phone book files.

Notes

  • XOX
  • XOX
  • For more information about the pbadmin command, type pbadmin /? at the command prompt, or see pbadmin in Related Topics.

Related Topics


Publish a phone book by command line

Microsoft Windows graphic

To publish a phone book by command line

  1. Open Command prompt.
  2. At the command prompt, type the following:

    cd \Program Files\PBA

  3. At the command prompt, type the following:

    Pbadmin.exe /B [phone_book_name]

    Command-line parameters are case-sensitive.

  4. Press ENTER.

Important

  • If you intend to administer PBA from the command line, do not use spaces in the path to pbadmin.exe or in the path to the phone book files.

Notes

  • XOX
  • XOX
  • Before you post, make sure that:
    • The host server is running.
    • You are connected to the network.
    • You have FTP, File, and Write permissions to post to the host server.
    • The account used for posting the phone book has a password. The password cannot be null.
    • You have set the host server name, user name, and password in the command line (by using the /O parameter) or in the PBA graphical interface. For more information on how to set a host server name, a user name, and a password, see Related Topics.
  • For more information about the pbadmin command, type pbadmin /? at the command prompt, or see pbadmin in Related Topics.

Related Topics


Create and manage regions by command line

  • Add, edit, or delete regions by command line
  • Import a region list by command line


Add, edit, or delete regions by command line

Microsoft Windows graphic

To add, edit, or delete regions by command line

  1. Do one of the following:
    • If no region input file exists, create one by using a plain-text editor such as Notepad.
    • Export data from your existing database into a plain-text input file. Make sure that the data is formatted according to the steps in this procedure.
  2. Open the plain-text input file, and do one of the following:
    • To add a region, on a new line, type the following:
      1. A unique ID number for the region you are adding.
      2. A comma delimiter.
      3. A new region name of no more than 30 characters and with no double quotation marks (") or commas (,).

      For example, with an ID number of 13 and a region name of Alaska, you type:

      13,Alaska

    • To edit a region, on a new line, type the following:
      1. The ID number of the region.
      2. A comma delimiter.
      3. A new region name of no more than 30 characters and with no double quotation marks (") or commas (,).

      For example, for an ID number of 12, and a new name of California, you type:

      12,California

    • To delete a region, on a new line, type the following:
      1. The ID number of the record to be deleted, followed by a comma.
      2. Leave the name field blank.

      For example, if the ID number of the field were 12, you type:

      12,

  3. Press ENTER.
  4. Repeat steps 2 and 3 for each region you want to add, edit, or delete, and then save the file with a .txt extension.
  5. Import the region file from the command line.

Important

  • If you intend to administer PBA from the command line, do not use spaces in the path to pbadmin.exe or in the path to the phone book files.

Notes

  • Do not leave blank lines in the file.
  • POPs and regions must be in separate files.

  • A command line region record consists of two fields: an ID number (integer) and a region name, delimited by a comma. The ID number must be unique. When it matches the ID number of an existing region, it overwrites that region.

  • Phone book files saved in formats other than plain text (for example, Microsoft Word, WordPad, or Rich-Text Format) do not work properly.
  • Before you can import phone book or region files into a particular phone book, the phone book name must be registered in the Phone Book Administrator (PBA) phone books list. If the phone book name does not appear in that list, you must use PBA to create the phone book.
  • Command-line region files do not match the region-file format imported or generated by the PBA user interface.
  • For a list of U.S. states that you can copy, see Related Topics.

Related Topics


Import a region list by command line

Microsoft Windows graphic

To import a region list by command line

  1. Open Command prompt.
  2. At the command prompt, type the following:

    cd \Program Files\PBA

  3. At the command prompt, type the following, using the appropriate paths and file names:

    Pbadmin.exe /I [phone_book_name] /R [region_file_path]\[region_file_name]

    Command-line parameters are case-sensitive.

  4. Press ENTER.

Important

  • If you intend to administer PBA from the command line, do not use spaces in the path to pbadmin.exe or in the path to the phone book files.

Notes

  • XOX
  • XOX
  • For more information about the pbadmin command, type pbadmin /? at the command prompt, or see pbadmin in Related Topics.
  • Before you can import phone book or region files into a particular phone book, the phone book name must be registered in the Phone Book Administrator (PBA) phone books list. If the phone book name does not appear in that list, you must use PBA to create the phone book.
  • Phone book files saved in formats other than plain text (for example, Microsoft Word, WordPad, or Rich-Text Format) do not work properly.
  • Command-line region files do not match the region-file format imported or generated by the PBA user interface.
  • POPs and regions must be in separate files.
  • If you have not yet posted your phone book, you can import up to 32,000 POPs. If, however, you have already posted, the limit is 6,000 POPs (combined adds, edits, and deletes) for each subsequent post.
  • If you are importing POP files and region files by using separate commands, and if your POPs require region information, import your region file first.
  • Phone Book Administrator should not be open while you are importing files.

Related Topics


Create and manage POPs by command line

  • Add, edit, or delete POPs by command line
  • Import an existing POP list by command line


Add, edit, or delete POPs by command line

Microsoft Windows graphic

To add, edit, or delete POPs by command line

  1. Do one of the following:
    • If no POP input file exists, create one by using a plain-text editor such as Notepad.
    • Export data from your existing database into a plain-text input file. Make sure that the data is formatted according to the steps in this procedure.
  2. Open the plain-text input file and do one of the following:
    • To add or edit a POP: On a new line and using the following syntax for each POP you want to add or edit, type the data for each field in the order given. Follow each data item except the last with a comma and a space. These items are described in the following table.

      [POP index], [Country/dependency ID], [Region ID], [POP name], [Area code], [Access number], [Minimum baud], [Maximum baud], [Reserved flag], [Service flag], [Dial-up entry]

      For example:
      1, 1, 0, Redmond, 425, 555-0134, 9600, 56000, 0, 120, ISP

      Field | Description | Data type | Characters allowed | Limit
      POP index | Numerical POP identifier | Integer | All numbers | 32,000 rows
      Country/dependency ID | TAPI code | Integer | All numbers | No limit
      Region ID | Numerical region identifier | Integer | All numbers (A zero (0) identifies all regions.) | No limit
      POP name | Name given to the POP (maximum of 30 characters) | Text | All except comma (,) and double quotation mark (") | 30 characters
      Area code | Area code for the access number | Text | All numbers, hyphen (-), space ( ) | 10 characters
      Access number | Phone number that subscribers can dial to reach your service | Text | All numbers, number sign (#), asterisk (*), hyphen (-), space ( ) | 35 characters
      Minimum baud | Minimum baud rate of the POP | Integer | Typical modem speeds | No limit
      Maximum baud | Maximum baud rate of the POP | Integer | Typical modem speeds | No limit
      Reserved flag | Unassigned flag that must always be set to zero (0) | Integer | Zero (0) | No limit
      Service flag | Decimal value representing a combination of POP settings | Integer | See Related Topics | No limit
      Dial-up entry | Name of the entry created in the Dial-up Networking Entries pane in the Connection Manager Administration Kit, used in the Connection Manager profile (.cms file) | Text | All except comma (,), ampersand (&), percent (%), apostrophe ('), acute (´), agave (`), and double quotation mark (") | 50 characters
    • To delete a POP:
      • On a new line, first type the index number of the POP you want to delete.
      • In each of the next nine fields, type a zero, followed by a comma.

        Leave the 11th field blank.

        In the following example, the POP index number is 12:
        12,0,0,0,0,0,0,0,0,0,
  3. Press ENTER.
  4. Repeat steps 2 and 3 for each POP you want to add, edit, or delete, and then save the file with a .txt extension.
  5. Import the file.

Important

  • If you intend to administer PBA from the command line, do not use spaces in the path to pbadmin.exe or in the path to the phone book files.

Notes

  • POPs and regions must be in separate files.
  • The ID number must be unique. If it matches the ID number of an existing POP, it overwrites that POP.
  • Phone book files saved in formats other than plain text (for example, Microsoft Word, WordPad, or Rich-Text Format) do not work properly.
  • Before you can import phone book files into a particular phone book, the phone book name must be registered in the Phone books list in Phone Book Administrator (PBA). If the phone book name does not appear in that list, you must create the phone book.
  • If you are importing POP files and region files by using separate commands, and if your POPs require region information, import your region file first.
  • The country.txt file included in the PBA directory will help you determine the required country or dependency code you will need for your POP files.
  • Phone Book Administrator (PBA) is available only in English, French, German, Japanese, and Spanish. However, you can create a phone book in another language by running PBA on an operating system optimized for that language.

Related Topics


Import an existing POP list by command line

Microsoft Windows graphic

To import an existing POP list by command line

  1. Open Command prompt.
  2. At the command prompt, type the following:

    cd \Program Files\PBA

  3. At the command prompt, type the following, using the appropriate paths and file names:

    Pbadmin.exe /I [phone_book_name] /P [POP_file_path]\[POP_file_name]

    Command-line parameters are case-sensitive.

  4. Press ENTER.

Important

  • If you intend to administer PBA from the command line, do not use spaces in the path to pbadmin.exe or in the path to the phone book files.

Notes

  • XOX
  • XOX
  • For more information about the pbadmin command, type pbadmin /? at the command prompt, or see pbadmin in Related Topics.
  • Before you can import phone book or region files into a particular phone book, the phone book name must be registered in the Phone Book Administrator (PBA) phone books list. If the phone book name does not appear in that list, you must use PBA to create the phone book.
  • Phone book files saved in formats other than plain text (for example, Microsoft Word, WordPad, or Rich-Text Format) do not work properly.
  • Command-line region files do not match the region-file format imported or generated by the PBA user interface.
  • POPs and regions must be in separate files.
  • If you have already posted, your import file must contain no more than 6,000 POPs (combined adds, edits, and deletes) for each subsequent post.
  • If you are importing POP files and region files by using separate commands, and if your POPs require region information, import your region file first.
  • Phone Book Administrator should not be open while you are importing files.

Related Topics


Stop Phone Book Service

Microsoft Windows graphic

To stop Phone Book Service

  1. Click Start, point to Administrative Tools, and then click Internet Information Services (IIS).
  2. Double-click the name of your server.
  3. If Phone Book Service is running in its own process, double-click the default Web site for your server. Right-click PBServer, and click Properties.
  4. If Phone Book Service is not running in its own process, right-click the default Web site for your server, and click Properties. Click the Home Directory tab.
  5. In the Application Settings area, click Unload, and click OK.

Caution

  • If you unload applications from the Home Directory tab of Default Web Site Properties, you will unload all Web applications for the default Web server that are not running in their own processes. You might need to restart some or all of your Web applications manually.

Note

  • XOX


Remove Connection Point Services

  • Change directory access (NTFS partitions only)
  • Remove Phone Book Service from a server
  • Remove Phone Book Administrator
  • Delete phone book data


Change directory access (NTFS partitions only)

Microsoft Windows graphic

To change directory access (NTFS partitions only)

  1. Open Windows Explorer.
  2. Do one of the following:
    • If you are changing access for Phone Book Service, browse to the Program Files folder, right-click the Phone Book Service folder, and then click Properties.
    • If you are changing access for Phone Book Administrator, browse to the Program Files folder, right-click the PBA folder, and then click Properties.
  3. On the Security tab, in Name, click the group to which you belong.
  4. In Permissions, select the Full Control check box under Allow, and then click OK to register the changes.

Notes

  • XOX
  • XOX

Related Topics


Remove Phone Book Service from a server

Microsoft Windows graphic

To remove Phone Book Service from a server

  1. Open the Windows Components wizard.
  2. In Components, click Management and Monitoring Tools (but do not select or clear its check box), and then click Details.
  3. In Subcomponents of Management and Monitoring Tools, clear the Connection Manager Components check box.
  4. Click OK, and then click Next.

Important

  • If you remove Connection Manager components from your server, Connection Manager Administration Kit is also removed.

Notes

  • XOX
  • XOX
  • XOX
  • When you remove Phone Book Service (PBS), not all data files are removed. You must delete those files manually.
  • Before deleting data, you may first need to change security settings in order to obtain access.

Related Topics


Remove Phone Book Administrator

Microsoft Windows graphic

To remove Phone Book Administrator

  1. Open Add or Remove Programs.
  2. Select Phone Book Administrator.
  3. Click Change/Remove.

Notes

  • XOX
  • XOX
  • When you remove Phone Book Administrator (PBA), not all data files are removed. These include phone book databases and .pbk, .pbr, and .cab files, both on the PBA computer and on the computer running Phone Book Service. You must delete those files manually.
  • Before deleting data, you may first need to change security settings in order to obtain access.

Related Topics


Delete phone book data

Microsoft Windows graphic

To delete phone book data

  1. Open Windows Explorer.
  2. Double-click the Program Files folder, and then do one of the following:
    • If you are deleting Phone Book Service data, delete the Phone Book Service folder.
    • If you are deleting Phone Book Administrator data, delete the PBA folder.

Notes

  • XOX
  • XOX

Related Topics


Concepts

  • Understanding Connection Point Services
  • Using Connection Point Services
  • Resources


Understanding Connection Point Services

  • Connection Point Services overview
  • Major components and their roles
  • How the components work together
  • Security information for Connection Point Services
  • Example system configurations


Connection Point Services overview

Connection Point Services (CPS) is a component that provides Internet service providers (ISPs) and corporations with the ability to automatically update phone book files residing on the client computers of employees or Internet users. These phone book files work with Connection Manager (CM), configurable connection software that also resides on client computers. For complete information about Connection Manager, see the Connection Manager Administration Kit.

As a CPS administrator, you can:

  • Make it easy for your new users to get online by providing updated access numbers.
  • Create and manage phone book databases containing customized information about local access numbers that provide connectivity to points of presence (POPs) in a wide area network.
  • Automatically download new access numbers to your users when POPs change.
  • Host multiple phone books on a single server.

CPS consists of two major components, Phone Book Administrator (PBA) and Phone Book Service (PBS). For more information about PBA and PBS, see Major components and their roles.

PBS must run on your server, but administrators often use PBA on workstations. PBS is a component in Management and Monitoring Tools on your Microsoft® Windows® Server 2003 family CD. PBA is available from the Valueadd directory on your Windows Server 2003 family or Microsoft XOX CD.


Major components and their roles

Connection Point Services (CPS) consists of two major components: Phone Book Service (PBS) and Phone Book Administrator (PBA).

Phone Book Service

Phone Book Service (PBS) is an Internet Information Services (IIS) extension. When users query your phone book server, PBS automatically compares their phone book versions with the most recent files in your database and then downloads the appropriate updates to the Connection Manager profiles residing on their computers.

To run PBS, your server must be using IIS running both File Transfer Protocol (FTP) and the World Wide Web (WWW) services. The FTP service accepts updated phone book information posted from Phone Book Administrator (PBA), and the WWW service handles Connection Manager queries. For more information about PBS and security, see Security information for Connection Point Services.

Phone Book Administrator (PBA)

PBA enables you to do the following:

  • Create and edit up to one hundred unique phone books. Each phone book is a collection of POPs, each one represented by a local access number for a specific region within a country or dependency.
  • Choose service types (connection settings, such as ISDN access or multicast connection) for each POP. Service types, also called POP settings, help users to easily find POPs that suit their needs.
  • Add and delete new regions and POPs.
  • Associate POPs with network configurations defined in Connection Manager.
  • Publish new phone book information to PBS.
  • Using the command-line interface, import phone book information from other applications for distribution to end users.

Before publishing, or posting, to the server, PBA uses a utility to compress the phone book files, increasing the speed at which you can download the new information to your users.

Connection Manager

Connection Manager is not an actual component of CPS; it is a companion software package that you must have in order to use CPS.

Connection Manager is a client dialer and connection software tool that you can customize by using the Connection Manager Administration Kit (CMAK), which is a wizard that you run to build a customized service profile (a set of files that you distribute to your users so they can easily install and run your custom version of Connection Manager). Connection Manager supports a variety of features:

  • Branding: You can customize the graphics, icons, logon messages, and Help.
  • Custom actions: You can customize functionality, including your own programs to enhance the connection experience for your users.
  • Simplified distribution: You can create a self-installing executable file that can be distributed on compact disc or downloaded by your users.
  • Custom phone books: Using the CMAK wizard, you can specify the phone books to be provided to your users. Using PBS, you can provide automatic phone book updates when your users log on. And to simplify maintenance, you can combine existing phone books by merging existing service profiles.

Notes

  • PBA and PBS need a TCP/IP connection in order to post phone book information through FTP.
  • FTP service must reside on your server. If you do not want FTP to run while PBA is not in use, stop the service through the Internet Services Manager and then enable it when you are ready to post. Do not uninstall FTP, because doing so will automatically uninstall PBS.
  • You can use the current version of PBS with earlier versions of PBA.


How the components work together

When you provide Phone Book Administrator (PBA) with new phone book information, PBA posts the updates to the Phone Book Service (PBS). The next time a user connects to your network using a Connection Manager profile, Connection Manager queries PBS for updated phone book information. PBS compares the phone book name and version sent from Connection Manager with the updated phone book files and then downloads any new phone book information to the client computer.

PBA relies on the FTP service to post the phone book files to PBS. PBS relies on the WWW service, provided through Internet Information Services (IIS), to receive phone book queries from Connection Manager and download the appropriate updates.

PBA and PBS need a TCP/IP connection in order to transfer phone book information through FTP.

The following diagram and accompanying table illustrate the publishing process.

Phone book publishing process
Step 1: Establish database | Step 2: Post to server | Step 3: Update client computer
You can use PBA to create new phone book files. Or, if you already have a database in another application, you can import that data file using the PBA command-line interface. | Imported files or data you entered using PBA are stored in the phone book database. When you publish phone books, PBA publishes changes to PBS through FTP. | Using Connection Manager, clients query the phone book server. If the versions of their phone books are outdated, PBS automatically sends the appropriate update.

Notes

  • You can use the current version of PBS with earlier versions of PBA.
  • You must administer each phone book using only one installation of PBA. Administering the same phone book using multiple installations of PBA causes version conflicts that will prevent your users from obtaining the most recent version of the phone book.
  • You can publish multiple phone books to the same server running a member of the Windows Server 2003 family, even if you administer each phone book with a different installation of PBA.
  • You must not publish the same phone book to more than one phone book server. Publishing the same phone book to more than one phone book server causes version conflicts that will prevent your users from obtaining the most recent version of the phone book. However, you can replicate the phone book to multiple servers from the server to which you published the phone book. You can use the Distributed File System (DFS) console to automate replication, or you can replicate the phone book yourself by copying the folder to the other servers. For more information about DFS, see Distributed File System.
  • The FTP service must reside on your server. If you do not want FTP to run while PBA is not in use, stop the service through the Internet Services Manager and then enable it when you are ready to post. Do not uninstall FTP, because doing so will automatically uninstall PBS.


Security information for Connection Point Services

Before you deploy Connection Point Services (CPS), you should recognize and plan for its specific security requirements. CPS comprises Phone Book Administrator (PBA) and Phone Book Service (PBS). Each component has its own implications, and there are additional security considerations for the interaction between the two programs.

To deploy CPS securely, you must also consider the general security of all of your servers, including your PBS server. For more information about server security, see Security.

When you plan your CPS deployment, you should consider the following:

  • Using PBA or PBS. A user must be a member of either the Power Users or the Administrators group in order to use PBA or to start or stop PBS. A user must be a member of the Administrators group to install PBA or PBS. You should limit the membership of the Power Users and Administrators groups to the minimum number of users required to administer the server.
  • Managing the File Transfer Protocol (FTP) service. PBA requires FTP to publish and update phone books to the PBS server. The PBS server requires FTP to receive phone books. To increase security, you might want to:
    • Start the FTP service on the computer running PBA immediately before you publish or update a phone book, and stop the service immediately after you finish. Make sure that no processes are using the FTP service before you stop it. For more information about how to start and stop services such as FTP, see To start, stop, pause, resume, or restart a service.
    • Do not enable anonymous access for FTP on your PBS server. Anonymous access is disabled by default when you install PBS, even if it was previously enabled. You should not install PBS on a server that allows anonymous FTP access. You can also check a log file to see who has posted files to that server. For more information, see To set up FTP accounts for known users.
    • Restrict the account that you create on the PBS server for posting phone book data to minimal permissions, and use that account only for posting phone book data. The user posting phone book data to the PBS server must have a user account on that server, the account must have a password, and Write permission to the PBSData virtual directory must be enabled. This user account should be a local user account on the PBS server, not on a domain, even if the PBS server is a member of a domain. For additional security, you should make this user account a member of the Guests group, and you should disable this user account from logging on locally and from logging on through Terminal Services. For more information, see To add a member to a local group, Deny log on locally, and Deny log on through Terminal Services.
    • FTP automatically sends passwords in plaintext. Do not activate the user account that you created for posting phone book data until you are ready to post data, and disable this account as soon as you finish posting data. Consider changing the password for this user account often, possibly after each posting. If one or more PBS servers are directly connected to the Internet without a firewall, you should consider alternatives to using FTP across the Internet. For example, you can host a PBS server inside your network and use file replication over a virtual private network (VPN) connection to update the PBS servers on the Internet. For more information, see Administer phone books and Disable or activate a local user account.
  • Protecting phone book files. Phone book files are plain text files that any user can edit with any plain text editor, such as Notepad. Users do not need to be members of the Power Users or the Administrators group to read, change, or delete these files. To minimize the possibility that users might change these files, you might want to:
    • Limit access to the directories that contain phone book files so that only specific users or user groups can change or delete those files. For example, you can change the permissions on the PBA directories to allow only users with administrative credentials to access those directories. By default, any member of the Power Users or the Administrators groups can access the PBS and PBA directories. For more information on securing your PBS and PBA directories, see Set permissions.
    • If you are issuing a phone book as part of a Connection Manager profile, encourage your users to install the profile for their individual use only (Windows 2000, XOX, and the Windows Server 2003 family only). If a user installs a profile for all users, any user can modify or delete phone book information. For more information, see Security information for the Connection Manager Administration Kit.
  • Securing Internet Information Services (IIS). PBS requires IIS to function. You should take steps to secure your PBS server, including but not limited to running the IIS Security Wizard. For more information, see Internet Information Services (IIS) 6.0 security overview.


Example system configurations

Connection Point Services (CPS) lends itself to various configurations, according to your needs. A few examples follow.

Dedicated single server

Example uses:

  • Testing
  • Small company
  • Small Internet service provider

You can maintain both Phone Book Service (PBS) and Phone Book Administrator (PBA) on a single computer running an operating system in the Windows Server 2003 family.

Even though PBA posts to the same server on which it resides, you must use the same procedures for setting permissions and posting phone books as you would with any other configuration.

Dedicated Phone Book Service server with a Phone Book Administrator client

Example uses:

  • Medium to large corporations
  • When ownership and responsibilities for phone book administration and server maintenance are split between groups

In this configuration, PBS and PBA are installed on separate computers. PBA could be installed on a server or on a workstation running XOX. The following illustration shows this configuration.

Dedicated PBS server with a PBA client

Dedicated Phone Book Service server with remote administration of Phone Book Administrator client

Example use: When the primary computer running Phone Book Administrator is not physically accessible to the administrator, you can use this dual-mode system.

You can configure PBA to run on a primary (dedicated) computer and on a remote workstation at the same time.

The following illustration shows this configuration.

Dedicated Phone Book Service server with remote administration of Phone Book Administrator client

All data files reside on the primary computer, never on the remote workstation. The remote workstation accesses the data files on the primary computer.

Multiple servers with firewall

Example uses:

  • Highly secured environment
  • Very large Internet service providers
  • Phone book replication among multiple Internet service providers

You can install PBA on a primary computer and on multiple remote workstations. PBS is installed on a staging server and on multiple host servers residing in a less secure environment outside a firewall. The following illustration shows this configuration.

Multiple servers with firewall

The remote workstations access phone book data on the primary PBA computer. Phone book updates are posted to the staging server. Using a content replication method, phone book updates are then copied from the staging server through the firewall to the host servers.


Using Connection Point Services

  • Determine how many servers you need
  • Install Connection Point Services
  • Administer phone books
  • Use your existing database with Phone Book Administrator
  • Example implementations
  • Monitor activity


Determine how many servers you need

Every time a user logs on, the Phone Book Service (PBS) server is "hit" with an HTTP query, initiating the phone-book update process. Along with hardware throughput and update (.cab) file size, the number of hits and the processor speed are important factors in determining how many servers you may need.

The following table details how many hits the listed processors are capable of handling on a dedicated server with 128 megabytes (MB) of RAM.

Processor | Hits/sec | Hits/hour | Hits/day
Pentium III 600 MHz | 275 | 990,000 | 23,760,000
Pentium III 500 MHz (dual processors) | 250 | 900,000 | 21,600,000
Celeron 400 MHz | 125 | 450,000 | 10,800,000
Pentium II 300 MHz | 125 | 450,000 | 10,800,000

To get an accurate data pool to determine if an additional server is needed, take an average of the number of logons your network receives during peak hours for a week.

Notes

  • The maximum number of hits per second depends on the size of the update (.cab) file. Larger update files can slow performance by as much as 25 percent. The numbers in the table assume small update files of about 5 kilobytes (KB).
  • Your server performance might increase if you run PBS in the Internet Information Services (IIS) process.


Install Connection Point Services

Before you install Connection Point Services (CPS), you must prepare for the installation:

  • Determine and verify the computer names and IP addresses of all the computers on which you will be installing CPS. You might want to have a dedicated server so phone book requests do not interfere with the response time of your other services.
  • Be aware that the Phone Book Service (PBS) server will be using Internet Information Services (IIS) to run the FTP and WWW services. This is necessary for PBS to receive posts from Phone Book Administrator (PBA) and to download updated files to client computers. For more information about PBS and security, see Security information for Connection Point Services.
  • If you have multiple servers running PBS, consider how you want to replicate data. You can use PBA to publish a phone book to only one server. You will need to replicate the phone book data to the other servers.
  • Document all of your processes, as well as the choices and tradeoffs that you made. This information will be valuable for troubleshooting your system and for future reference.

For information on CPS installation and configuration, see Install and configure Connection Point Services.

After installing Connection Point Services, you must set directory access permissions and test your installation.

To test the installation, create a test phone book and post it to the server. However, to fully test server functionality, you must connect to the server with Connection Manager, using a service profile built by the Connection Manager Administration Kit wizard.

The FTP service already resides on your server. If you do not want FTP to run while PBA is not in use, stop the service and then enable it when you are ready to post.

Important

  • Do not uninstall FTP, because doing so will automatically uninstall PBS.
  • You must administer each phone book using only one installation of PBA. Administering the same phone book using multiple installations of PBA causes version conflicts that will prevent your users from obtaining the most recent version of the phone book.
  • You can publish multiple phone books to the same phone book server, even if you administer each phone book with a different installation of PBA.
  • You must not publish the same phone book to more than one phone book server. Publishing the same phone book to more than one phone book server causes version conflicts that will prevent your users from obtaining the most recent version of the phone book. However, you can replicate the phone book to multiple servers from the server to which you published the phone book. You can use the Distributed File System (DFS) console to automate replication, or you can replicate the phone book yourself by copying the folder to the other servers. For more information about DFS, see Distributed File System.


Administer phone books

Connection Point Services (CPS) provides two ways to administer phone books: by using the Phone Book Administrator (PBA) interface and by using the command line. You are advised to create and publish your first phone book by using the PBA interface, even if you plan to use the command line for your usual publishing procedures.

Phone books

Establishing a new phone book is as easy as giving it a name and configuring it with a server name or address, user name, and password. Because Connection Manager (CM) must be configured to query the Phone Book Service database for phone books, the phone book names you choose must match the ones in the service profile created by the Connection Manager Administration Kit (CMAK) wizard. If your Connection Manager profile will use multiple phone books, name them intuitively, according to their use.

For a comprehensive understanding of how CPS works with Connection Manager, run the CMAK wizard and explore CM concepts.

Make sure that you plan a method for maintaining phone books. Ask yourself:

  • Who will be entering data?
  • If you will be using the command line for administration, who will create and maintain data files? Will you be exporting data from an existing database or typing new files by hand?
  • Do you want to use the same phone book for all locales, or should you translate and maintain multiple language versions: one for each country or dependency? Phone Book Administrator is available only in English, French, German, Japanese, and Spanish. However, you can create a phone book in another language by running PBA on an operating system optimized for that language.

After you create a phone book, you must add POPs, and you can create regions. You can update either of these as often as necessary.

For information on how to create a phone book, see To add and configure a new phone book or To add a new phone book by command line.

Regions

To reduce the number of POPs that Connection Manager displays at any one time, you may want to designate areas within a country or dependency as regions. Such a filtered list makes the task of choosing the closest POP easier for your users.

For information on how to add regions, see To add, edit, or delete a region or To add, edit, or delete regions by command line.

Points of Presence (POPs)

The primary purpose of adding and editing POPs is to make updated access information available to your users.

POP information specifies how Connection Manager establishes a connection and how access numbers are displayed to users. For example, when you select the Surcharge POP setting, Connection Manager displays the POP in the More access numbers box instead of the Access numbers box. This feature can be used to differentiate automatically between remote-access numbers for corporate private networks and secure connections.

In preparing to create a POP, ask yourself the following questions:

  • In what country or dependency does the POP exist? The list of countries and dependencies provided by CPS associates the Telephony Applications Program Interface (TAPI) country/dependency code with the POP. Although Phone Book Administrator is only available in English, French, German, Japanese, and Spanish, and the country/dependency list only appears in English, country/dependency names chosen from the English list appear in the same language as the Connection Manager profile.
  • Does your POP belong to a region?
  • What name will you give the POP?
  • What is the area code for the access number?
  • What is the access number?
  • What POP settings will you need? For information about POP settings, see Service types (POP settings).
  • What special dial-up settings will you need? Connection Manager and CPS must use the same dial-up entry name.
  • What is the minimum baud for the POP?
  • What is the maximum baud for the POP?
  • What is the POP status: In Service or Not In Service? (When you publish to Phone Book Server, only in-service POPs are used to create or update the phone book files).

For information on how to create POPs, see To add or edit a POP or To add, edit, or delete POPs by command line.

Publishing

Before attempting to publish a phone book, make sure that you have set the Write permission for the FTP virtual directory on the computer running Phone Book Service. If the Write permission is not set, the phone book will not post.

You can publish multiple phone books to a server. However, every time you publish a phone book, CPS increments the version number of the phone book. If you publish the same phone book to multiple servers, the version numbers will be inaccurate. To publish a phone book to multiple servers, you can use file replication.

For information on how to publish a phone book, see To publish a phone book or To publish a phone book by command line.


Use your existing database with Phone Book Administrator

If you already maintain your phone book data in other databases, you can import both entire files and incremental updates to your phone books by using the command line interface to Phone Book Administrator (PBA).

You can write a query that exports the changes from your database into two text files: one for regions and one for POPs. Once you have these files, you can use the command-line interface to import changes.

You should keep a record in your database of the last time that you created import files for PBA. You can use this time stamp to create just the change (delta) files to be imported into PBA.

For information on creating new POP and region files, and exporting data, see To add, edit, or delete POPs by command line and To add, edit, or delete regions by command line.

Notes

  • POPs and regions must be in separate files.
  • Command-line region files do not match the region-file format imported or generated by the PBA user interface.
  • You might want to create and publish your first phone book with the user interface to ensure that all authentication and configuration issues are worked out.
  • If you have not yet posted your phone book, you can import up to 32,000 POPs. If, however, you have already posted, the limit is 6,000 POPs (combined adds, edits, and deletes) for each subsequent post.


Example implementations

  • ISP model
  • Corporation model


ISP model

The following hypothetical situation illustrates how Connection Point Services (CPS) can support an expanding Internet service provider (ISP).

Awesome Computers, an ISP, is growing rapidly and must accommodate increasing numbers of subscribers. Many of the subscribers access Awesome Computers locally, but the ISP also has corporate customers whose employees want increased access capabilities while traveling. At the same time, Awesome Computers wants to replace its expensive, 800-number access charges with a remote-access solution that costs less.

To accommodate its growing business needs, the company plans to expand its existing remote access infrastructure and also offer a "Business Class" set of higher-quality Points of Presence (POPs) for demanding corporate customers. Awesome Computers joins an alliance of ISPs in order to provide coverage outside its service area.

Because many of the new subscribers are inexperienced computer users, Awesome Computers realizes that increasing the number of regional access numbers and providing remote POPs will generate a higher volume of calls to technical support. Faced with an immediate need to automate the process of updating subscribers with access numbers, the company decides to use CPS.

Awesome Computers installed Phone Book Service (PBS) and Phone Book Administrator (PBA) on a computer running an operating system in the Windows Server 2003 family. Personnel authorized by Awesome Computers use the administration tool to create a phone book that contains all of the trunk-line and connect information that the ISP offers for Internet access. When access numbers change, the personnel can quickly make the changes and publish them.

Publishing creates the updated phone book files and copies them to PBS. Awesome Computers keeps all the phone books for each corporate customer on the server running PBS. In addition, Awesome Computers has chosen to deploy a number of PBS servers within the infrastructure, thereby ensuring accessibility for users who connect to the Internet from various geographical regions.

With the file replication capability of the Windows Server 2003 family, the phone book can easily be automatically distributed from a master PBS server to a number of subordinate PBS servers.

Awesome Computers uses the Connection Manager Administration Kit wizard to create a customized Connection Manager profile that includes the company logo and tailored online Help. Awesome Computers then packages the profile and Connection Manager for distribution on compact disc or the World Wide Web.

After Connection Manager and the service profile have been installed on individual computers, CPS automatically downloads the most current list of local access phone numbers every time the subscriber connects to Awesome Computers.


Corporation model

The following hypothetical situation illustrates how Connection Point Services (CPS) can help a corporation offer a cost-effective means of telecommuting.

Lucerne Publishing is a multinational company that spends a significant amount of money on maintaining toll-free numbers and long-distance dial-up fees so its employees can telecommute. The toll-free numbers are used by home-office employees who live outside the calling area and by employees on business trips. Home-office employees living inside the calling area use a local access number.

The company administrators decide to use CPS. They realize that by merging access numbers in their existing phone book with the access numbers of a large ISP they can save money on long distance charges while maintaining a high level of security.

Employees making phone calls from within the calling area of Lucerne Publishing connect to the company remote-access server. Employees residing or traveling outside the calling area of the corporation are able to call local ISP phone numbers, thereby connecting to the ISP remote-access server and avoiding long distance charges previously incurred by the maintenance of the toll-free numbers.

Lucerne Publishing uses the Connection Manager Administration Kit and Connection Manager to automatically differentiate between its local access numbers and the Points of Presence (POPs) provided by the ISP outside the local calling area. As a result, the difference between local access to the corporate private network and the extended remote access over the Internet using a secure connection is transparent to their employees. Connection Manager connects to the corporate private network when an employee uses a local access number and establishes a secure connection to the corporate private network when an employee uses an ISP phone number.

Lucerne Publishing and the ISP each maintain Phone Book Service (PBS) servers for their respective phone books. Each PBS server automatically downloads the most current list of local access phone numbers every time the employee connects to Lucerne Publishing.


Monitor activity

  • Phone Book Service activity
  • Phone book history


Phone Book Service activity

Counters in System Monitor produce statistical information on the processor, memory, cache, network, and other object types.

The following table lists PBServer Monitor counters. (Delta files contain only the current, incremental phone book updates, not the entire phone book file.)

Name | Description
Delta Upgrade Hits | The total number of delta phone book files (incremental phone book changes only) that have been successfully downloaded.
Delta Upgrade Hits/Sec | The number of delta phone book files that are successfully downloaded per second.
Error Hits | The total number of requests that could not be satisfied by PBS.
Error Hits/Sec | The number of requests per second that could not be satisfied by PBS.
Full Upgrade Hits | The total number of full phone book files that have been successfully downloaded.
Full Upgrade Hits/Sec | The number of full phone book files that are successfully downloaded per second.
No Upgrade Hits | The total number of requests for phone book files that did not require an update to the phone book file on the client computer.
No Upgrade Hits/Sec | The number of requests for phone book files per second that do not require an update to the phone book file on the client computer.
Total Hits | The total number of requests for phone book files.
Total Hits/Sec | The number of requests per second for phone book files.

Notes

  • For information on how to monitor phone book activity, see To monitor the activity of Phone Book Service
  • PBServer Monitor counters are not available unless PBS has been started. PBS starts automatically when a client computer requests a phone book. To simulate a client request, you can type:

    http://localhost/pbserver/pbserver.dll?osarch=0&ostype=0&osver=1&cmver=1&lcid=1033&pbver=0&pb=[phone_book_name]

    in the Address box of your browser, and then press ENTER. For example, if the phone book name is Awesome, you would type:

    http://localhost/pbserver/pbserver.dll?osarch=0&ostype=0&osver=1&cmver=1&lcid=1033&pbver=0&pb=Awesome


Phone book history

Phone Book Administrator (PBA) maintains a log for each phone book that records its activity, including creating, deleting, or editing a POP, as well as posting the phone book to the server. If you move a phone book log file off the system or change its name, PBA creates a new file the next time activity occurs for that phone book.

Because these log files can become large enough over time to take up valuable hard disk space and to inhibit searching for useful information, you should save and archive them periodically.

For information on monitoring phone book history, see To view the history of a phone book.


Resources

  • Important phone book files
  • Example region files containing U.S. states
  • Service types (POP settings)
  • Example phone book history


Important phone book files

Connection Point Services (CPS) needs services, software, and data files to update the database, post the database and data files to the server, query the server database, and download the appropriate file to Connection Manager.

Phone Book Administrator (PBA) creates the database and files for the server and then transfers the data using the File Transfer Protocol (FTP). Phone Book Service (PBS) compares phone book versions based on the query variables sent by Connection Manager and responds with the appropriate compressed phone book (.cab) file.

Phone book data elements are described in the following table.

Element | Description
Cabinet (.cab) files | Compressed data files that contain phone book information for Connection Manager. There are two types of .cab files, Full.cab and Delta.cab files.
Phone book (.pbk) files | Text files that contain lists of POP information. Phone book files are compressed before they are transferred to the server.
Region (.pbr) file | Text file that helps categorize POPs. A POP can reference one of many geographical regions listed in the Region file.
Version (.ver) file | Text file that keeps track of the latest phone-book release.
PBServer.mdb | A database that contains updated query tables for your phone books. PBA transfers the database to the server as Newpb.mdb every time a phone book is published.
Phone_book.mdb | A database that contains POP information.


Example region files containing U.S. states

The format you use for the list of U.S. states depends on whether you are using Phone Book Administrator or the command line. You will need to use .pbr format (the first list) for Phone Book Administrator. If you are importing by command line, use the second list.

The following list shows the names of all fifty U.S. states, plus the District of Columbia, in .pbr format:

51
Alabama
Alaska
Arizona
Arkansas
California
Colorado
Connecticut
Delaware
District of Columbia
Florida
Georgia
Hawaii
Idaho
Illinois
Indiana
Iowa
Kansas
Kentucky
Louisiana
Maine
Maryland
Massachusetts
Michigan
Minnesota
Mississippi
Missouri
Montana
Nebraska
Nevada
New Hampshire
New Jersey
New Mexico
New York
North Carolina
North Dakota
Ohio
Oklahoma
Oregon
Pennsylvania
Rhode Island
South Carolina
South Dakota
Tennessee
Texas
Utah
Vermont
Virginia
Washington
West Virginia
Wisconsin
Wyoming

The following list shows the names of all fifty U.S. states, plus the District of Columbia, in command-line format.

1,Alabama
2,Alaska
3,Arizona
4,Arkansas
5,California
6,Colorado
7,Connecticut
8,Delaware
9,District of Columbia
10,Florida
11,Georgia
12,Hawaii
13,Idaho
14,Illinois
15,Indiana
16,Iowa
17,Kansas
18,Kentucky
19,Louisiana
20,Maine
21,Maryland
22,Massachusetts
23,Michigan
24,Minnesota
25,Mississippi
26,Missouri
27,Montana
28,Nebraska
29,Nevada
30,New Hampshire
31,New Jersey
32,New Mexico
33,New York
34,North Carolina
35,North Dakota
36,Ohio
37,Oklahoma
38,Oregon
39,Pennsylvania
40,Rhode Island
41,South Carolina
42,South Dakota
43,Tennessee
44,Texas
45,Utah
46,Vermont
47,Virginia
48,Washington
49,West Virginia
50,Wisconsin
51,Wyoming


Service types (POP settings)

Connection Point Services (CPS) uses a combination of eight service types (sometimes called POP settings) to determine how a connection is established.

Service types enable your users to filter for POPs specific to their needs.

Each service type has two possible options with values of 0 (zero) or 1 (one), and you convert these eight values into a decimal number to use in the Service Flag field of the POP file you plan to import.

If one of the flags for a POP is not set in the Service Types section of the .cms file in the Connection Manager profile, then even if you set the flag for this POP in Phone Book Administrator (PBA), a user may not be able to filter for the POP in Access numbers in the Connection Manager interface. For example, service types Custom 1 and Custom 2 are advanced and require manual editing of the Connection Manager service profile.

For each service type, the bitflag table (later in this topic) contains four fields. The first field is the bit number representing each option of any given service type. The second field contains integers representing the availability of each of the service type options. The third and fourth fields contain text that describes the service type option.

Options shown in bold are the default values for POPs in Connection Manager.

Immediately after the following table is an example of its use.

Bitflag table for service types
Bit number | Option values | Option descriptions |
0 | 0 1 | Sign on Not Sign on | Users can connect to the POP to sign on to your service. If you set this option to 1, you must also set the same option to 1 in Connection Manager.
1 | 0 1 | Not Sign up Sign up | Users can connect to the POP to sign up for your service. If you set this option to 1, you must also set the same option to 1 in Connection Manager.
2 | 0 1 | Modem Not Modem | Users can connect to the POP by modem.
3 | 0 1 | ISDN Not ISDN | Users can connect to the POP using an ISDN connection device.
4 | 0 1 | Not Custom 1 Custom 1 | The POP is assigned a custom service setting. You can specify custom service settings in the Connection Manager service profile.
5 | 0 1 | Multicast Not Multicast | The POP supports IP multicast protocols.
6 | 0 1 | Not Surcharge Surcharge | The access number for the POP appears in the More access numbers box in the Connection Manager Phone Book dialog box. You can charge your users an additional fee when they use this POP.
7 | 0 1 | Not Custom 2 Custom 2 | The POP is assigned a custom service setting. You can specify custom service settings in the Connection Manager service profile.

To determine the correct decimal value to use for the Service Flag field in your command-line import file, create an eight-bit binary number where each bit has the value given in the table. Then, convert this binary number into a decimal number.

Example

The following list begins with the service type with the least mathematical significance. If you created a POP with these service types, the binary value would be 01111000, which converts to 120 in decimal notation:

Sign on (0)
Not Sign up (0)
Modem (0)
Not ISDN (1)
Custom 1 (1)
Not Multicast (1)
Surcharge (1)
Not Custom 2 (0)

A POP using this decimal number (shown in italics) as its service flag might look like this:

1, 1, 0, Redmond, 425, 555-0135, 9600, 56000, 0, 120, ISP


Example phone book history

The example later in this topic shows the POP activity of one phone book. Each change is on a new line that begins with a date, and fields are separated by commas. Each line shows the following:

  • Date and time of the change
  • Action taken (for example, POP Add or POP Edit)
  • Key field (POP name)
  • Eleven fields representing the POP data:
    1. POP index
    2. Country/dependency
    3. Region identifier
    4. POP name
    5. Area code
    6. Access number
    7. Minimum baud rate
    8. Maximum baud rate
    9. Reserved flag
    10. Service flag
    11. Dial-up entry
  • POP status (in or out of service)
  • Date of change (repeated)
  • Two reserved fields

The following example shows phone book history as it appears in the phone-book history text file. Note that the five field names in the first line of the text file (Date, Action, and so on) do not list every data field.

Date, Action, Key Field, Record ( ; delimited )
1/27/01 3:40:35 PM, POP Add, Albany, 3;1;0;Albany;912;555-0100;0;56000;0;48;ISP;1;1/27/01;;0
1/27/01 3:40:38 PM, POP Edit, Albuquerque, 5;1;0;Albuquerque;505;555-0121;0;56000;0;48;;1;1/27/01;;0
1/27/01 10:07:18 AM, POP Delete, Portland, 305;1;0;Portland;1;1;0;0;0;48;;1;1/27/01;;0

The following table supplies field names and their corresponding POP data for all of the fields in the first data line of the example.

Name of field | Data
Date and time | 1/27/01 3:40:35 PM
Action | POP Add
Key field | Albany
POP index | 3
Country/dependency | 1
Region ID | 0
POP name | Albany
Area code | 912
Access number | 555-0100
Minimum baud rate | 0
Maximum baud rate | 56000
Reserved flag | 0
Service flag | 48
Dial-up entry | ISP
POP status | 1
Date of change | 1/27/01
Reserved |
Reserved | 0

Notes

  • Phone book history files can also contain information on region and publishing activities.
  • The dial-up entry name corresponds exactly with the dial-up entry created in the Dial-up Networking Entries pane in the Connection Manager Administration Kit Wizard.


Troubleshooting

  • Phone Book Service error messages
  • Phone Book Administrator command-line error messages
  • Common problems and their solutions


Phone Book Service error messages

The following table describes Phone Book Service (PBS) events and the actions you can take to correct errors.

MessageID | Type | Message | Action to perform
30002 | Error | Unable to get query parameters | No action is required. If the problem persists, restart IIS Admin Service.
30003 | Error | Error in sending HTML header | Make sure that IIS is running properly. If the problem persists, restart IIS Admin Service.
30004 | Error | Error in sending HTML content | Make sure that IIS is running properly. If the problem persists, restart IIS Admin Service.
30005 | Error | Cannot open file | Make sure the file exists and the file permissions are set properly.
30010 | Error | Internal Error | Free up the memory currently in use by closing any nonessential applications. You might also want to increase the physical or virtual memory of your system. Also, make sure that IIS is running properly.
30015 | Error | Failure when waiting for child thread to terminate | Restart IIS Admin service.


Phone Book Administrator command-line error messages

The following table describes Phone Book Administrator error messages that you may encounter while importing files by command line and the actions you can take to correct errors. After you correct the problem, remember to re-import your files.

Message | Action to perform
Error during file creation | Make sure that you have set the appropriate file permissions for the PBA and release directories. See To secure your Phone Book Administrator folder (NTFS only).
Invalid path for input file | Make sure you have typed the full path.
Problem while reading import file | Make sure the file is in plain text format.
Phone book passed as a command-line parameter does not exist | Make sure you have typed the correct phone book name as it appears in the Phone Book Administrator interface.
Error during command line processing | See Import.log in the application directory for details.
Wrong number of fields | Make sure that all of your POPs have 11 fields and all regions have two fields.
Length of input field exceeds allowed value | Edit the input field. For field restrictions, see To add, edit, or delete POPs by command line.
Numeric input field contains non-numeric characters | Replace with numeric characters.
Incomplete configuration data for publishing | Set the options for this phone book. See To set or edit phone book options by command line.
Duplicate region name found | Delete duplicate region name from the input file.
Region specified for phone book import does not exist | Add or import the missing region. See To add, edit, or delete regions by command line or To import a region list by command line.
Country or dependency specified for phone book import does not exist | Specify the correct TAPI code for country or dependency as defined in the phone book. You can find the default list in the Country.txt file.
Total length of the Area Code and Access Number fields exceeds allowed value | Edit area code and access number to contain a total of no more than 36 characters.
Wrong or missing command line option | At the command prompt, type pbadmin /? for a list of valid command-line parameters.


Common problems and their solutions

What problem are you having?

I need more help using Phone Book Administrator.

Solution: In the Phone Book Administrator dialog box, open the Help menu, click What's This?, and then click the component you do not understand. A message will be displayed with information about the component. In other dialog boxes, click ? and then click the component you do not understand.

I am unable to post to Phone Book Service (PBS).

Possible solutions:

Make sure that:

  • The server is turned on.
  • You are connected to the network.
  • The PBS server has FTP installed and running.
  • FTP is not set to Allow only anonymous connections.
  • Write permission is turned on for the FTP virtual directory.
  • The server name or address, user name, and password are typed correctly in the Options dialog box. Null passwords and passwords that contain spaces are not supported.
  • You have logged on with an account that has permission to write to the hard drive on the server. These include FTP service, share, and file permissions (NTFS only).
  • You have connectivity to the PBS host. Try PING and TRACERT to verify that the TCP/IP connection is correctly configured.
  • The proxy settings in Internet Explorer are set correctly. The proxy might have changed, or someone might have reset it.
  • Firewall issues are not interfering.

See also: Set permissions early; To set the Write permission for the FTP virtual directory; To set up FTP accounts for known users

I am unable to import a phone book file or region file from the command line.

Possible solutions:

Make sure that:

  • You have the appropriate permissions to alter the phone book database.
  • You typed the full path to the phone book file or region file. The file path cannot contain spaces.
  • Your file is in plain-text format.
  • You typed the correct phone book name as it appears in the Phone Book Administrator interface.
  • All of the POPs have 11 fields. All regions have two fields.
  • You did not exceed the limit for any of the input fields.
  • None of the numeric input fields contain nonnumeric characters.
  • The country, region, or dependency that you specified exists in the phone book.
  • You used the correct import command. At the command prompt, type pbadmin /? for a list of valid command-line parameters.
  • You used the correct import format for your region file. Command-line region files do not match the region-file format imported or generated by the Phone Book Administrator user interface.
  • You did not try to import more than 6,000 POPs. If you have not yet posted your phone book, you can import up to 32,000 POPs. If, however, you have already posted, the limit is 6,000 POPs (combined adds, edits, and deletes) for each subsequent post.

See also:

Set permissions early;

Use your existing database with Phone Book Administrator;

To import a region list by command line;

Phone Book Administrator command-line error messages

No POPs appear in Connection Manager.

Possible solutions:

Make sure that:

  • The profile created with the Connection Manager Administration Kit wizard is set up correctly to use your phone books.
  • No files are missing. If they are, use your backup copies to restore them.
  • The name of the phone book in Phone Book Administrator matches the name typed in when the profile was built using the Connection Manager Administration Kit wizard.
  • You did not exceed the limit for any of the input fields. (For a table that describes limits, see To add, edit, or delete a POP by command line.)
  • None of the numeric input fields contain nonnumeric characters.
  • You specified the correct country or dependency for the POP.
  • You and your users have the appropriate version of Internet Explorer installed. Phone book downloads require that Internet Explorer 5.01, Internet Explorer 5.5, or Internet Explorer 6 be installed on the computer. Internet Explorer does not have to be set as the default browser.

See also: Back up your data; Use your existing database with Phone Book Administrator

When a client computer sent a query to Phone Book Service, the phone book did not download.

Possible solutions:

Make sure that:

  • The server is turned on.
  • The client computer is connected to the network.
  • The name of the phone book in Phone Book Administrator (PBA) matches the name in Connection Manager.
  • The user gave the phone book enough time to download.
  • WWW is currently running on the server. Even though WWW is installed, it may not be running.
  • The proxy settings in the client computer are set correctly.
  • The current network configuration still passes your previous tests for production readiness.
  • The security attribute is set properly on the phone book update files. It should not be set to Read Only.
  • Firewall issues are not interfering with phone book downloads.
  • Your users have the appropriate version of Internet Explorer installed. Phone book downloads require that Internet Explorer 5.01, Internet Explorer 5.5, or Internet Explorer 6 be installed on the computer. Internet Explorer does not have to be set as the default browser.
  • Anonymous access is enabled for the Phone Book Service virtual root directory. Connection Manager requests phone books through the anonymous account.
  • You have looked at the application log in Event Viewer on the PBS host server for error messages. If Event Viewer messages have been enabled for PBS and the phone book file is missing, you will see error 30005: "Cannot open file."
  • The phone book file is present on the host server, and that the host server is accessible. The phone book file might be missing from the host server, or access to the host server might be denied.
  • The phone book is posted to the phone book server. A profile might have been configured to ask for a phone book, but the administrator might not have posted that phone book to the server.
  • The phone book has been posted to the production environment. The phone book might have been posted to a staging server but not replicated to the production environment. Try editing a POP in the phone book and then posting the file again. (You can edit the POP to repeat the existing data.) When you edit a POP, PBA changes the version number of the phone book. PBA does not post to the host server unless the phone book version number changes.

If your Connection Manager profile uses Connection Manager 1.3, have the user enable logging and check the Connection Manager log file for more information about the problem.

See also: Set permissions early; Phone Book Service error messages; To test for production readiness; The Connection Manager Administration Kit

Phone Book Administrator will not display particular characters.

Cause: Phone Book Administrator does not support Unicode.

Solution: Set Language for non-Unicode programs to match the language that you want to display:

  1. Open Regional and Language Options. XOX
  2. Click the Advanced tab. In the Language for non-Unicode programs section, click the appropriate language version.
  3. Click Apply.

    This may cause your system to restart.

The application log available through Event Viewer does not contain messages about phone book activity.

Cause: PBS cannot, by default, write to the application log.

Solution: On computers that are running a Windows Server 2003 family operating system, applications that are members of Guests cannot, by default, write to the application log. You can change this behavior, but you should first consider whether the security implications of doing so outweigh the benefits. To change this behavior, you can set the following registry key to a value of zero:

HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\EventLog\Application\RestrictGuestAccess

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.